/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.pvog;

import java.util.Map;

import de.ozgcloud.zufi.common.OperationType;
import de.ozgcloud.zufi.common.PayloadType;
import io.quarkus.runtime.annotations.RegisterForReflection;
import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@RegisterForReflection
@Builder(toBuilder = true)
@Getter
@ToString
public class TransferOperationEntry {
	public static final String ID_FIELD = "id";
	static final String ORGANISATIONSEINHEIT_NAME_FIELD = "name";
	static final String ORGANISATIONSEINHEIT_BUNDESLAND_FIELD = "bundesland";
	static final String ORGANISATIONSEINHEIT_BEZIRK_FIELD = "bezirk";
	static final String ORGANISATIONSEINHEIT_KREIS_FIELD = "kreis";
	static final String ORGANISATIONSEINHEIT_GEMEINDESCHLUESSEL_FIELD = "gemeindeSchluessel";
	static final String ORGANISATIONSEINHEIT_REGIONALSCHLUESSEL_FIELD = "regionalSchluessel";
	static final String ORGANISATIONSEINHEIT_GEMEINDETEILSCHLUESSEL_FIELD = "gemeindeTeilschluessel";

	private OperationType operationType;
	private PayloadType payloadType;
	private Map<String, String> payload;
}
