/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.pvog;

import java.io.InputStream;

import de.ozgcloud.common.test.TestUtils;

public class AntwortTransfernachrichtTestFactory {
	public static final String NEXT_URL = "https://public.demo.pvog.cloud-bdc.dataport.de/bereitstelldienst/api/v2/verwaltungsobjekte?ars=010531000000&index=2188680";
	public static final int NEXT_INDEX = 2188680;
	public static final String ARS = "010531000000";
	public static final String ERROR_ARS = "012530";
	public static final boolean VOLLSTAENDIG = true;
	public static final int ANZAHL_OBJEKTE = 160;
	public static final int ANZAHL_ORGANISATIONSEINHEITEN = 57;
	public static final String XZUFI_RESPONSE = TestUtils.loadTextFile("response.json");
	public static final InputStream XZUFI_RESPONSE_STREAM = TestUtils.loadFile("response.json");
	public static final String XZUFI_OBJEKTE = TestUtils.loadTextFile("xzufiObjekte.xml");
	public static final String XZUFI_OBJEKTE_INCREMENT = TestUtils.loadTextFile("xzufiObjekteIncrement.xml");
	public static final String BROKEN_XZUFI_OBJEKTE = TestUtils.loadTextFile("xzufiObjekteError.xml");

	public static final String NEXT_URL_FIELD = "naechsteAnfrageUrl";
	public static final String NEXT_INDEX_FIELD = "naechsterIndex";
	public static final String VOLLSTAENDIG_FIELD = "vollstaendig";
	public static final String XZUFI_OBJEKTE_FIELD = "xzufiObjekte";
	public static final String ANZAHL_OBJEKTE_FIELD = "anzahlObjekte";

	public static AntwortTransfernachricht create() {
		return createBuilder().build();
	}

	public static AntwortTransfernachricht.AntwortTransfernachrichtBuilder createBuilder() {
		return new AntwortTransfernachricht.AntwortTransfernachrichtBuilder()
				.anzahlObjekte(ANZAHL_OBJEKTE)
				.naechsteAnfrageUrl(NEXT_URL)
				.naechsterIndex(NEXT_INDEX)
				.vollstaendig(VOLLSTAENDIG)
				.xzufiObjekte(XZUFI_OBJEKTE);
	}
}
