/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.pvog;

import java.util.UUID;

import org.apache.commons.lang3.RandomStringUtils;

import de.ozgcloud.zufi.schema.Identifikator;

public class IdentifikatorTestFactory {

	public final static String SCHEME_AGENCY_ID = UUID.randomUUID().toString();
	public final static String VALUE = RandomStringUtils.randomAlphanumeric(10);

	public static Identifikator create() {
		return create(VALUE);
	}

	public static Identifikator create(String value) {
		var identifikator = new Identifikator();
		identifikator.setSchemeAgencyID(SCHEME_AGENCY_ID);
		identifikator.setValue(value);

		return identifikator;
	}
}
