/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.pvog;

import de.ozgcloud.zufi.schema.NameOrganisation;
import de.ozgcloud.zufi.schema.StringLocalized;

class NameOrganisationTestFactory {

	public final static String LANGUAGE_CODE = "DE";
	public final static String VALUE = "Landeshauptstadt Kiel - Abfallwirtschaftsbetrieb - Außenstelle Kundenzentrum Kleiner Kiel (Abfall- und Umweltberatung)";

	public static NameOrganisation create() {
		var nameStringLocalized = new StringLocalized();
		nameStringLocalized.setLanguageCode(LANGUAGE_CODE);
		nameStringLocalized.setValue(VALUE);

		var nameOrganisation = new NameOrganisation();
		nameOrganisation.getName().add(nameStringLocalized);

		return nameOrganisation;
	}
}