/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.organisationseinheit;

import java.util.UUID;

import org.springframework.data.elasticsearch.annotations.Document;

import lombok.Builder;
import lombok.Getter;

@Document(indexName = "zufi-manager")
@Getter
@Builder
class OrganisationsEinheitTestDocument {
	static final String ID_KEY = "id";
	static final String VALUE_KEY = "value";
	static final String VORGANG_MANAGER_ADDRESS_KEY = OrganisationsEinheitCustomRepository.VORGANG_MANAGER_ADDRESS_FIELD;

	static final String ID = UUID.randomUUID().toString();
	static final String VALUE = "test-value";
	static final String VORGANG_MANAGER_ADDRESS = "static://address:9090";

	private String id;
	private String value;
	private String vorgangManagerAddress;
}
